Summary:	Ad-hoc link-local IP autoconfiguration
Name:		zcip
Version:	4
Release:	%mkrel 22
Source0:	%{name}-%{version}.tar.bz2
Patch0:		zcip-4-alias.patch
Patch1:		zcip-4-gcc3.patch
Patch2:         zcip-4-help.patch
Patch3:         zcip-4-format_string.patch
License:	MIT
Group:		System/Networking
URL:		https://zeroconf.sourceforge.net/
BuildRequires: net1.0-devel
BuildRequires: libpcap-devel

%description
This is an implementation of the ad-hoc link-local IP autoconfiguration
algorithm described in the IETF Draft "Dynamic Configuration of IPv4
link-local addresses".

%prep
%setup -q
%patch -P 0 -p1 -b .alias
%patch -P 1 -p1 -b .gcc3
%patch -P 2 -p0
%patch -P 3 -p0

%build
%make_build CFLAGS="%optflags -DSTORAGE_DIR=\\\"%{_localstatedir}/lib/zcip\\\"" LDFLAGS="%ldflags"

%install
install -m755 zcip -D %{buildroot}/sbin/zcip
install -m644 zcip.8 -D %{buildroot}%{_mandir}/man8/zcip.8
mkdir -p %{buildroot}%{_localstatedir}/lib/zcip

%files
%doc README draft-ietf-zeroconf-ipv4-linklocal-07.txt Changelog Copyright TODO
/sbin/*
%{_mandir}/man8/*
%{_localstatedir}/lib/zcip


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 4-22.mga10
+ Revision: 2128370
- Rebuild for patchN deprecation

* Tue Mar 29 2022 umeabot <umeabot> 4-21.mga9
+ Revision: 1831457
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 4-20.mga8
+ Revision: 1519116
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4-19.mga7
+ Revision: 1302041
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 4-18.mga6
+ Revision: 936511
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4-17.mga5
+ Revision: 750206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4-16.mga5
+ Revision: 690861
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4-15.mga4
+ Revision: 521442
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 4-14.mga3
+ Revision: 390943
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 4-13.mga3
+ Revision: 387662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 misc <misc> 4-12.mga2
+ Revision: 214010
- imported package zcip

